#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n;
    cin >> n;
    int ossz =0;
    unordered_set<int> a;
    unordered_set<int> b;
    int k=0;
    int x = 2*n-k;
    int y = 1+k;
    for(int i=0;i<n/2;i+=2){
        a.insert(x);
        a.insert(y);
        x = y;
        k++;
        y = 2*n-k;
        a.insert(x);
        a.insert(y);
        x = 2*n-k;
        y = 1+k;
    }
    x--;
    for(int i=0;i<n/2;i+=2){
        b.insert(x);
        b.insert(y);
        x = y;
        k++;
        y = (2*n-k)-1;
        b.insert(x);
        b.insert(y);
        x = (2*n-k)-1;
        y = 1+k;
    }
    for(int x:a){
        cout << x << ' ';
    }

    cout << endl;
    for(int y:b){
        cout << y << ' ';
    }
    cout << endl;
    return 0;
}